abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
včera 16:11 | IT novinky

Neziskové průmyslové konsorcium Khronos Group finalizovalo verzi 3.0 specifikace OpenCL (Open Computing Language). OpenCL je průmyslový standard pro paralelní programování heterogenních počítačových systémů.

Ladislav Hagara | Komentářů: 0
včera 14:55 | Pozvánky

The Catch, tj. hackerská soutěž organizovaná sdružením CESNET, je zpět. Začne v pondělí 12. 10. ve 12 hodin a 10 minut. Lstivé roboty z minulého roku letos překonává zákeřný vir RANSOMVID-20.

Ladislav Hagara | Komentářů: 3
včera 08:00 | Nová verze

Dylan Baker oznámil vydání Mesa 20.2.0. Změny zahrnují např. rozšíření podpory LLVMpipe s OpenGL 4.3+ a OpenGL ES 3.2; stručný přehled je v poznámkách k vydání. Uživatelé by ale měli převážně vyčkat opravnou verzi 20.2.1.

Fluttershy, yay! | Komentářů: 7
včera 07:00 | Nová verze

Byla vydána verze 26.0 svobodného softwaru OBS Studio (Open Broadcaster Software, Wikipedie) určeného pro streamování a nahrávání obrazovky počítače. Přehled novinek na GitHubu.

Ladislav Hagara | Komentářů: 0
29.9. 17:55 | Nová verze

Byla vydána betaverze Fedory 33, tj. o poslední zastávce před vydáním finální verze, která je momentálně naplánována na 20. října. Výchozí souborový systému byl změněn z Ext4 na Btrfs. Výchozí prostředí GNOME bylo aktualizováno na verzi 3.38. Mezi oficiální edice přibyla Fedora IoT.

Ladislav Hagara | Komentářů: 15
29.9. 14:22 | Zajímavý článek

David Revoy se před rokem rozhodl, že vydá svůj open source webový komiks Pepper&Carrot také knižně a ve vlastní režii. Použije k tomu pouze open source software. Nemá to jednoduché. V několika příspěvcích na svém blogu popsal problémy a jejich postupné řešení. Po roce testování je ale konečně s výsledkem spokojen.

Ladislav Hagara | Komentářů: 11
29.9. 14:00 | Komunita

Lukáš Bařinka oznámil vydávání série video cvičení Programování v shellu na YouTube.

Ladislav Hagara | Komentářů: 1
29.9. 11:11 | Zajímavý článek

Nová čísla časopisů od nakladatelství Raspberry Pi: MagPi 98 (pdf), HackSpace 35 (pdf), Wireframe 42 (pdf) a Hello World 14 (pdf).

Ladislav Hagara | Komentářů: 0
29.9. 08:00 | Nová verze

Byla vydána verze 8.4 OpenSSH. Blíží se ohlášený zákaz algoritmu „ssh-rsa“ kvůli zranitelnosti SHA-1.

Fluttershy, yay! | Komentářů: 0
28.9. 13:22 | Zajímavý projekt

Více než 60 moderních telefonů má díky práci týmu dobrovolníků SOMainline šanci na zařazení do oficiálního linuxového jádra. Patche pro podporu chipsetu SD630 a SD660, kterým jsou tyto telefony poháněny, jsou postupně začleňovány. Tým se soustředí na zprovoznění klasických linuxových distribucí pro telefony, ale věnuje se i zprovoznění běžného AOSP. Další tým vývojářů postmarketOS již delší dobu pracuje na podpoře chipsetu MSM8953, který umožňuje vdechnout život dalším nejméně 30 telefonům vydaných v letech 2017 a 2018.

David Heidelberg | Komentářů: 22
Používáte aplikaci eRouška?
 (19%)
 (3%)
 (2%)
 (12%)
 (51%)
 (8%)
 (6%)
Celkem 484 hlasů
 Komentářů: 35, poslední 20.9. 21:50
Rozcestník

Dotaz: Pri instalaci RPM chyba "Cannot open Packages"

2.3.2005 09:10 LinX2 | skóre: 16 | blog: LinX | Praha
Pri instalaci RPM chyba "Cannot open Packages"
Přečteno: 85×
prosim o pomoc. Mam MDK9.0 a snazil jsem se instalovat balik pomoci RPM -i "nazev baliku". Zpet mi vyhodi hlasky:
error: Cannot open Packages index using DB3 - operation not permited
error: Cannot open Packages database in /var/lib/rpm
Co s tim ? Jak to nainstalovat ? Stejna chyba i kdyz jsem logovanej jako root.
Chybovati je lidské... Něco totálně zmrvit - na to potřebujete počítač.

Odpovědi

2.3.2005 13:03 Petr Šobáň | skóre: 80 | blog: soban | Olomouc
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
Skontrolujte si tu databázi, případně vytvořte novou atd..... (asi je poškozená)

Viz: man rpm.
2.3.2005 13:22 LinX2 | skóre: 16 | blog: LinX | Praha
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
myslite databasi in /var/lib/rpm ? Co je v ni?
Chybovati je lidské... Něco totálně zmrvit - na to potřebujete počítač.
2.3.2005 14:37 Gustav | skóre: 23 | blog: Gustav I
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
Seznam nainstalovanych baliku a jejich zavislosti.
2.3.2005 14:45 LinX2 | skóre: 16 | blog: LinX | Praha
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
tomu stale nerozumim. znamena ro ze nemohu nainstalovat balik, jelikoz je na necem zavisly, co ja v systemu nemam ?
Chybovati je lidské... Něco totálně zmrvit - na to potřebujete počítač.
2.3.2005 15:14 Marián Kyral
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
Ne, tak to není.
RPM si všechny nainstalované balíky a závislosti mezi nima ukládá do této databáze. Pokud je tato databáze poškozená, nebo není z nějakého důvodu přístupná, tak RPM při instalaci nemůže ověřit závislosti a zda máte nainstalováno vše potřebné, takže nemůže instalovat.
Můžete zkusit databázi opravit pomocí
rpm --rebuilddb
3.3.2005 09:57 LinX2 | skóre: 16 | blog: LinX | Praha
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
tak jsem skusil vse podle Vasich rad, ale prilis jsem se nepohnul. Pokud zadam rpm --rebuilddb dostanu odpoved: Error: creating directory /var/lib/rpmrebuilddb.**** (nejake cislo) : permission denied. Muze pomoct rm -f /var/lib/rpm/__db* nebo rpm -v -v -rebuilddb?? Kernel 2.4.19 (myslim). Nemuze to byt nejakou starou verzi RPM ? Nevim presne, ale mam verzi 4....
Chybovati je lidské... Něco totálně zmrvit - na to potřebujete počítač.
3.3.2005 10:33 m0d0r
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
:) Skus sa prihlasit ako root a stravit to este raz :)
Marián Kyral avatar 3.3.2005 11:11 Marián Kyral | skóre: 29 | blog: Sem_Tam | Frýdek-Místek
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
Pokud to nepůjde ani pod uživatelem root, tak sem dejte výstup tohoto příkazu:
ls -la /var/lib/rpm
4.3.2005 09:02 LinX2 | skóre: 16 | blog: LinX | Praha
Rozbalit Rozbalit vše Re: Pri instalaci RPM chyba "Cannot open Packages"
tak uz se mi to povedlo. Nakonec pomohl prikaz pro znovuindexaci rpm -v -v -rebuilddb. dik vsem, zaviram vlakno.
Chybovati je lidské... Něco totálně zmrvit - na to potřebujete počítač.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.